Module org.jfree.chart3d
Package org.jfree.chart3d.export

# Enum Class ExportFormat

java.lang.Object
java.lang.Enum<ExportFormat>
org.jfree.chart3d.export.ExportFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<ExportFormat>`, `Constable`

public enum ExportFormat extends Enum<ExportFormat>
An enumeration of the different export formats supported by Orson Charts. PNG and JPEG export are provided by the Java standard library. PDF export is enabled when JFreePDF is available on the classpath, and SVG export is enabled when JFreeSVG is available on the classpath.

Since:
  1.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JPEG`
The JPEG image format.
`PDF`
The Acrobat Portable Document Format.
`PNG`
The PNG image format.
`SVG`
The Scalable Vector Graphics format.

## Method Summary

Modifier and Type
Method
Description
`static ExportFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExportFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PNG

public static final ExportFormat PNG
The PNG image format.

### JPEG

public static final ExportFormat JPEG
The JPEG image format.

### PDF

public static final ExportFormat PDF
The Acrobat Portable Document Format.

### SVG

public static final ExportFormat SVG
The Scalable Vector Graphics format.

## Method Details

### values

public static ExportFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExportFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null